<html>
    <head>
        <meta charset="UTF-8">
    </head>
    
    <body>
        <table border="1" cellspacing="4" cellpadding="30"><tr>
            
            <script type="text/JavaScript">
            
                for ( i = 0; i < 4; i++ ) {
                    
                    rnd = Math.floor(Math.random() * 4);
                    
                    switch (rnd) {
                        
                        case 0:
                            color = 'FF6666';
                            break;
                        case 1:
                            color = 'DDCC00';
                            break;
                        case 2:
                            color = '00CC00';
                            break;
                        default:
                            color = '0099FF';
                    }
                    document.writeln('<td bgcolor="#'+color+'">'+rnd+'</td>');
                }          
                document.writeln('</tr><tr><td colspan="4" align="center">');   
                document.writeln('<a href="javascript:location.reload()">Try again</a>');
                document.writeln('</td></tr>');

            </script>
            
        </table>
        
    </body>

</html>